Download OpenAPI specification:Download
The MerchantAPI allows merchants to interact with and retrieve information from the PayPlaza payment system. It allows merchants to retrieve information about how their account has been setup with Stores and Terminals. It allows merchants to retrieve the list and the details of Transactions and it allows merchants to initiate a new Payment.
Error responses, HTTP status 400 and higher, will contain a JSON response body with details about the error. We follow the error response format proposed in RFC 7807 also known as Problem Details for HTTP APIs. As with our normal API responses, your client must be prepared to gracefully handle additional members of the response.
Note: Problem type and instance identifiers in our APIs are not meant to be resolved.
RFC 7807 encourages that problem types are URI references that point to human-readable documentation, but we deliberately decided against that, as all important parts of the API are documented.
| label required | string |
object or null |
{- "label": "string",
- "validity": {
- "from": "2022-03-10T12:15:50-04:00",
- "until": "2022-03-10T12:15:50-04:00"
}
}{- "id": "stringstringstr",
- "label": "string",
- "apikey": "stringstringstringstringstringstringstringstringst"
}| page | integer <int32> >= 1 Default: 1 The page number of your query result |
| size | integer <int32> [ 1 .. 100 ] Default: 10 The amount of results (defaults to 10) |
[- {
- "uuid": "string",
- "name": "string",
- "address": {
- "address": "string",
- "zipCode": "string",
- "city": "string",
- "stateCode": "string",
- "countryCode": "st"
}
}
]| page | integer <int32> >= 1 Default: 1 The page number of your query result, starting at 1 |
| size | integer <int32> [ 1 .. 100 ] Default: 10 The amount of results per page, maximum 100 (defaults to 10) |
[- {
- "device": {
- "manufacturer": "string",
- "model": "string",
- "serial": "string"
}
}
]| manufacturer required | string [ 1 .. 255 ] characters Manufacturer name of the terminal |
| model required | string [ 1 .. 255 ] characters Model name of the terminal |
| serial required | string [ 1 .. 255 ] characters Serial(number) of the terminal |
{- "device": {
- "manufacturer": "string",
- "model": "string",
- "serial": "string"
}
}| manufacturer required | string [ 1 .. 255 ] characters Manufacturer name of the terminal |
| model required | string [ 1 .. 255 ] characters Model name of the terminal |
| serial required | string [ 1 .. 255 ] characters Serial(number) of the terminal |
{- "receipt": "string"
}| manufacturer required | string [ 1 .. 255 ] characters Manufacturer name of the terminal |
| model required | string [ 1 .. 255 ] characters Model name of the terminal |
| serial required | string [ 1 .. 255 ] characters Serial(number) of the terminal |
| page | integer <int32> >= 1 Default: 1 The page number of your query result, starting at 1 |
| size | integer <int32> [ 1 .. 100 ] Default: 10 The amount of results per page, maximum 100 (defaults to 10) |
[- {
- "id": "string",
- "creation_datetime": "2022-01-19T12:58:00Z",
- "merchant_order_reference": "'TEN-103_1', '3987462423900', 'Q99PM-2QHFW-FQ'",
- "brand": "string",
- "system_trace_audit_number": "string",
- "receipt": "string",
- "merchant_receipt": "string",
- "original_id": "string",
- "authorization_code": "string",
- "merchant_id": "string",
- "processor_terminal_id": "string",
- "type": "PURCHASE",
- "amount": {
- "value": 10298.75,
- "currency": "EUR"
}, - "store": {
- "uuid": "string",
- "name": "string"
}, - "result": "APPROVED",
- "status": "CREATED"
}
]The Merchant-API will make sure only one newly created transaction is available for a specific terminal. This means that when creating a new transaction, previous transaction(s) with status CREATED will be aborted. So given transactions A and B, when transaction A has not been retrieved by the terminal when creating transaction B the Merchant API will abort transaction A, and the terminal will receive transaction B.
| manufacturer required | string [ 1 .. 255 ] characters Manufacturer name of the terminal |
| model required | string [ 1 .. 255 ] characters Model name of the terminal |
| serial required | string [ 1 .. 255 ] characters Serial(number) of the terminal |
| merchant_order_reference required | string [ 1 .. 14 ] characters ([0-9a-zA-Z]|-|_){1,14} Reference provided by the Merchant for future identification of this Transaction |
| type required | string (TransactionType) Enum: "PURCHASE" "PRE_AUTH" "REFUND"
|
required | object (Amount) Describes how much money the transaction should be. |
object or null Reference object that represents a unique identifier for a transaction |
{- "type": "PURCHASE",
- "merchant_order_reference": "1234",
- "amount": {
- "value": 0.01,
- "currency": "EUR"
}
}{- "id": "string",
- "creation_datetime": "2022-01-19T12:58:00Z",
- "merchant_order_reference": "'TEN-103_1', '3987462423900', 'Q99PM-2QHFW-FQ'",
- "brand": "string",
- "system_trace_audit_number": "string",
- "receipt": "string",
- "merchant_receipt": "string",
- "original_id": "string",
- "authorization_code": "string",
- "merchant_id": "string",
- "processor_terminal_id": "string",
- "type": "PURCHASE",
- "amount": {
- "value": 10298.75,
- "currency": "EUR"
}, - "store": {
- "uuid": "string",
- "name": "string"
}, - "result": "APPROVED",
- "status": "CREATED"
}| manufacturer required | string [ 1 .. 255 ] characters Manufacturer name of the terminal |
| model required | string [ 1 .. 255 ] characters Model name of the terminal |
| serial required | string [ 1 .. 255 ] characters Serial(number) of the terminal |
| id required | string = 31 characters [0-9]{31} Identifier of a transaction |
{- "id": "string",
- "creation_datetime": "2022-01-19T12:58:00Z",
- "merchant_order_reference": "'TEN-103_1', '3987462423900', 'Q99PM-2QHFW-FQ'",
- "brand": "string",
- "system_trace_audit_number": "string",
- "receipt": "string",
- "merchant_receipt": "string",
- "original_id": "string",
- "authorization_code": "string",
- "merchant_id": "string",
- "processor_terminal_id": "string",
- "type": "PURCHASE",
- "amount": {
- "value": 10298.75,
- "currency": "EUR"
}, - "store": {
- "uuid": "string",
- "name": "string"
}, - "result": "APPROVED",
- "status": "CREATED"
}| manufacturer required | string [ 1 .. 255 ] characters Manufacturer name of the terminal |
| model required | string [ 1 .. 255 ] characters Model name of the terminal |
| serial required | string [ 1 .. 255 ] characters Serial(number) of the terminal |
| id required | string = 31 characters [0-9]{31} Identifier of a transaction |